
extern "C" 
{
//------------------------------------------------------------------------------------
// irr::video::IMaterialRenderer wrappers
//------------------------------------------------------------------------------------
	
	s32 IrrVideo_IMaterialRenderer_getRenderCapability(IMaterialRenderer* mr)
	{
		if (mr)
			return mr->getRenderCapability();
		else return 0;
	}
	
	bool IrrVideo_IMaterialRenderer_isTransparent(IMaterialRenderer* mr)
	{
		if (mr)
			return mr->isTransparent();
		else return false;
	}

	bool IrrVideo_IMaterialRenderer_drop(IMaterialRenderer* unk)
	{
		if (unk)
			return unk->drop();
		else return 0;
	}
	
	const c8* IrrVideo_IMaterialRenderer_getDebugName(IMaterialRenderer* unk)
	{
		if (unk)
			return unk->getDebugName();
		else return "";
	}
	
	void IrrVideo_IMaterialRenderer_grab(IMaterialRenderer* unk)
	{
		if (unk)
			unk->grab();
	}

/*

// only a bound version should implement these

virtual bool  OnRender (IMaterialRendererServices *service, E_VERTEX_TYPE vtxtype) 
virtual void  OnSetMaterial (SMaterial &material, const SMaterial &lastMaterial, bool resetAllRenderstates, IMaterialRendererServices *service) 
virtual void  OnUnsetMaterial () 

*/

//------------------------------------------------------------------------------------
//------------------------------------------------------------------------------------
}
